{{page-title (t "pages.competence-result.title")}}

<header role="banner">
  <NavbarHeader />
</header>

<main id="main" class="background-banner-wrapper" role="main">
  <div class="background-banner"></div>

  <div class="rounded-panel rounded-panel--strong rounded-panel--over-background-banner">
    <div class="competence-results-panel__header">
      {{#if @model.scorecard.hasNotEarnedAnything}}
        <div class="competence-results-panel-header__banner competence-results-panel-header__banner--too-bad">
          <p class="competence-results-panel-header__banner-result-comment">{{t
              "pages.competence-result.header.too-bad"
            }}</p>
          <div class="competence-results-banner__subtitle competence-results-banner__subtitle--small">
            {{t "pages.competence-result.header.too-bad-subtitle"}}
          </div>
        </div>
      {{else if @model.scorecard.hasNotReachedLevelOne}}
        <div class="competence-results-panel-header__banner competence-results-panel-header__banner--not-bad">
          <p class="competence-results-panel-header__banner-result-comment">{{t
              "pages.competence-result.header.not-bad"
            }}</p>
          <div class="competence-results-banner__subtitle competence-results-banner__subtitle--left">
            {{t "pages.competence-result.header.not-bad-subtitle"}}
          </div>
          <div class="competence-results-banner__text">
            <div class="competence-results-banner-text__results">
              <div class="competence-results-banner-text-results__label">{{t
                  "pages.competence-result.header.you-have-earned"
                }}</div>
              <div class="competence-results-banner-text-results__value">{{@model.scorecard.earnedPix}}
                {{t "common.score"}}</div>
            </div>
          </div>
        </div>
      {{else if @model.scorecard.hasReachedAtLeastLevelOne}}
        <div class="competence-results-panel-header__banner competence-results-panel-header__banner--congrats">
          <p class="competence-results-panel-header__banner-result-comment">{{t
              "pages.competence-result.header.congratulations"
            }}</p>
          <div class="competence-results-banner__text competence-results-banner__text--spaced">
            <div class="competence-results-banner-text__results competence-results-banner-text__results--spaced">
              <div class="competence-results-banner-text-results__label">{{t
                  "pages.competence-result.header.you-have-reached-level"
                }}</div>
              <div class="competence-results-banner-text-results__value">{{t "common.level"}}
                {{@model.scorecard.level}}</div>
            </div>
            <div class="competence-results-banner-text__results competence-results-banner-text__results--spaced">
              <div class="competence-results-banner-text-results__label">{{t
                  "pages.competence-result.header.you-have-earned"
                }}</div>
              <div class="competence-results-banner-text-results__value">{{@model.scorecard.earnedPix}}
                {{t "common.score"}}</div>
            </div>
          </div>
        </div>
      {{/if}}
    </div>
    {{#if @model.scorecard}}
      <ScorecardDetails @scorecard={{@model.scorecard}} />
    {{/if}}
  </div>
</main>

<Footer />